# curs_ins_wch 3x

    curs_ins_wch(3x)                                       curs_ins_wch(3x)

## NAME

           ins_wch,  mvins_wch,  mvwins_wch, wins_wch - insert a com-
           plex character and rendition into a window

## SYNOPSIS

           #include <curses.h>

           int ins_wch(const cchar_t *wch);
           int wins_wch(WINDOW *win, const cchar_t *wch);
           int mvins_wch(int y, int x, const cchar_t *wch);
           int mvwins_wch(WINDOW *win, int y, int  x,  const  cchar_t
           *wch);

## DESCRIPTION

           These routines, insert the complex character wch with ren-
           dition before the character under the cursor.  All charac-
           ters to the right of the cursor are moved one space to the
           right, with the possibility of the rightmost character  on
           the  line  being  lost.   The insertion operation does not
           change the cursor position.

## RETURN VALUE

           If successful, these functions return OK.   If  not,  they
           return ERR.

## ERRORS

           No errors are defined.

## SEE ALSO

           curses(3x), curs_insch(3x).

                                                           curs_ins_wch(3x)